// Simple C4TextureMap for use by standalone C4MapCreatorS2

#ifndef INC_C4MAPCREATORS2_C4TEXTURE_H
#define INC_C4MAPCREATORS2_C4TEXTURE_H

#include <C4Group.h>
#include <string>
#include <vector>

class C4TextureMap
{
public:
	C4TextureMap(C4Group& hGroup, C4Group* OverloadFile);

	bool CheckTexture(const char* tex_name);
	BYTE GetIndex(const char* tex_name, BOOL add_if_not_exist);

	// MODIFIED!
	unsigned int GetCount() const { return m_textures.size(); }
	const std::string& GetTex(unsigned int i) const { return m_textures[i]; }

protected:
	void load_group(C4Group& hGroup, C4Group* OverloadFile);

	std::vector<std::string> m_textures;
};

#endif // INC_C4MAPCREATORS2_C4TEXTURE_H
