// Simple C4SLandscape for use with standalone C4MapCreatorS2

#include <Standard.h>
#include <C4Constants.h>
#include <C4Material.h>
#include <C4Texture.h>

#ifndef INC_C4MAPCREATORS2_C4SCENARIO_H
#define INC_C4MAPCREATORS2_C4SCENARIO_H

class C4SVal
{
public:
  C4SVal(int32_t val);

  int32_t Evaluate() const;
private:
  int32_t m_val;
};

class C4SLandscape
{
public:
  C4SLandscape(int32_t width, int32_t height, bool player_extend);

  C4SVal MapWdt, MapHgt;
  int32_t MapPlayerExtend;
};

#endif // INC_C4MAPCREATORS2_C4SCENARIO_H
